%define module  IO-Tty
%define name    perl-%{module}
%define version 1.07
%define release %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release} 
Summary:        Pseudo TTY object class
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.07-4mdv2009.0
+ Revision: 223801
- rebuild
- reenable tests

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.07-3mdv2008.1
+ Revision: 152211
- temporary disable tests
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2007.0
- New version 1.07

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
- New release 1.04

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
- New release 1.03
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.02-11mdk
- Rebuild

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-10mdk
- rebuild for new perl

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-9mdk
- Own dir
- rebuild

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02-8mdk
- fix build on amd64

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-7mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro

